diff --git a/src/main/java/net/minecraft/client/render/block/model/PumpkinPieBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelPiePumpkin.java
similarity index 93%
rename from src/main/java/net/minecraft/client/render/block/model/PumpkinPieBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelPiePumpkin.java
index 1396706b0..842c812d8 100644
--- a/src/main/java/net/minecraft/client/render/block/model/PumpkinPieBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelPiePumpkin.java
@@ -4,15 +4,15 @@ import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.EdibleBlock;
+import net.minecraft.core.block.BlockEdible;
 import net.minecraft.core.util.helper.Side;
 
-public class PumpkinPieBlockModel<T extends Block> extends StandardBlockModel<T> {
+public class BlockModelPiePumpkin<T extends Block> extends BlockModelStandard<T> {
     protected IconCoordinate sideTexture = TextureRegistry.getTexture("minecraft:block/pumpkin_pie/side");
     protected IconCoordinate insideTexture = TextureRegistry.getTexture("minecraft:block/pumpkin_pie/inner");
     protected IconCoordinate topTexture = TextureRegistry.getTexture("minecraft:block/pumpkin_pie/top");
 
-    public PumpkinPieBlockModel(Block block) {
+    public BlockModelPiePumpkin(Block block) {
         super(block);
         float f = 0.0625F;
         float f1 = 0.375F;
@@ -47,7 +47,7 @@ public class PumpkinPieBlockModel<T extends Block> extends StandardBlockModel<T>
         boolean insideEast = sliceX == 0 ;
         boolean insideWest = sliceX == 1;
 
-        maxSlices = ((EdibleBlock) block).maxBites;
+        maxSlices = ((BlockEdible) block).maxBites;
         block.setBlockBounds(xMin + offsetXMin, 0.0F, zMin + offsetZMin, xMax - offsetXMax, 0.375F, zMax - offsetZMax);
         renderSide(tessellator, block, x, y, z, Side.TOP, 0);
         renderSide(tessellator, block, x, y, z, Side.BOTTOM, 0);
diff --git a/src/main/java/net/minecraft/client/render/block/model/PistonBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelPiston.java
similarity index 91%
rename from src/main/java/net/minecraft/client/render/block/model/PistonBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelPiston.java
index df6c8f903..8f3a9caa7 100644
--- a/src/main/java/net/minecraft/client/render/block/model/PistonBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelPiston.java
@@ -4,36 +4,36 @@ import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.piston.PistonBaseBlock;
+import net.minecraft.core.block.piston.BlockPistonBase;
 import net.minecraft.core.util.helper.Direction;
 import net.minecraft.core.util.helper.Side;
 import org.jetbrains.annotations.Nullable;
 
-public class PistonBlockModel<T extends PistonBaseBlock> extends StandardBlockModel<T> {
+public class BlockModelPiston<T extends BlockPistonBase> extends BlockModelStandard<T> {
     private final IconCoordinate faceTexture;
     protected IconCoordinate sideTexture = TextureRegistry.getTexture("minecraft:block/piston/side");
     protected IconCoordinate topTexture = TextureRegistry.getTexture("minecraft:block/piston/top");
     protected IconCoordinate bottomTexture = TextureRegistry.getTexture("minecraft:block/piston/bottom");
 
     protected final double headThickness;
-    public PistonBlockModel(Block block, IconCoordinate faceTexture){
+    public BlockModelPiston(Block block, IconCoordinate faceTexture){
         this(block, faceTexture, 4/16d);
     }
 
-    public PistonBlockModel(Block block, IconCoordinate faceTexture, double headThickness){
+    public BlockModelPiston(Block block, IconCoordinate faceTexture, double headThickness){
         super(block);
         this.headThickness = headThickness;
         this.faceTexture = faceTexture;
     }
 
-    public PistonBlockModel<T> setPistonTextures(IconCoordinate sideTexture, IconCoordinate topTexture, IconCoordinate bottomTexture) {
+    public BlockModelPiston<T> setPistonTextures(IconCoordinate sideTexture, IconCoordinate topTexture, IconCoordinate bottomTexture) {
         this.sideTexture = sideTexture;
         this.topTexture = topTexture;
         this.bottomTexture = bottomTexture;
         return this;
     }
 
-    public PistonBlockModel<T> setPistonTextures(String sideTexture, String topTexture, String bottomTexture) {
+    public BlockModelPiston<T> setPistonTextures(String sideTexture, String topTexture, String bottomTexture) {
         return setPistonTextures(TextureRegistry.getTexture(sideTexture), TextureRegistry.getTexture(topTexture), TextureRegistry.getTexture(bottomTexture));
     }
 
@@ -52,7 +52,7 @@ public class PistonBlockModel<T extends PistonBaseBlock> extends StandardBlockMo
     protected boolean renderPistonBase(Tessellator tessellator, int x, int y, int z, boolean noCulling) {
         int meta = renderBlocks.blockAccess.getBlockMetadata(x, y, z);
         boolean extended = noCulling || (meta & 8) != 0;
-        Direction direction = PistonBaseBlock.getDirection(meta);
+        Direction direction = BlockPistonBase.getDirection(meta);
         if(extended)
         {
             switch(direction)
@@ -156,14 +156,14 @@ public class PistonBlockModel<T extends PistonBaseBlock> extends StandardBlockMo
     @Override
     public IconCoordinate getBlockTextureFromSideAndMetadata(Side side, int data)
     {
-        Direction direction = PistonBaseBlock.getDirection(data);
+        Direction direction = BlockPistonBase.getDirection(data);
         if (direction == Direction.NONE)
         {
             return atlasIndices[0];
         }
         if (side.getDirection() == direction)
         {
-            if (PistonBaseBlock.isPowered(data) || block.minX > 0.0D || block.minY > 0.0D || block.minZ > 0.0D || block.maxX < 1.0D || block.maxY < 1.0D || block.maxZ < 1.0D)
+            if (BlockPistonBase.isPowered(data) || block.minX > 0.0D || block.minY > 0.0D || block.minZ > 0.0D || block.maxX < 1.0D || block.maxY < 1.0D || block.maxZ < 1.0D)
             {
                 return topTexture;
             }
diff --git a/src/main/java/net/minecraft/client/render/block/model/PistonHeadBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelPistonHead.java
similarity index 94%
rename from src/main/java/net/minecraft/client/render/block/model/PistonHeadBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelPistonHead.java
index 9444fab51..023d23d46 100644
--- a/src/main/java/net/minecraft/client/render/block/model/PistonHeadBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelPistonHead.java
@@ -6,12 +6,12 @@ import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
-import net.minecraft.core.block.piston.PistonHeadBlock;
+import net.minecraft.core.block.piston.BlockPistonHead;
 import net.minecraft.core.util.helper.Direction;
 import net.minecraft.core.util.helper.Side;
 import org.jetbrains.annotations.Nullable;
 
-public class PistonHeadBlockModel extends StandardBlockModel<PistonHeadBlock> {
+public class BlockModelPistonHead extends BlockModelStandard<BlockPistonHead> {
     protected IconCoordinate pistonSide;
     protected IconCoordinate pistonDry = TextureRegistry.getTexture("minecraft:block/piston/face");
     protected IconCoordinate pistonSticky = TextureRegistry.getTexture("minecraft:block/piston_sticky/face");
@@ -20,11 +20,11 @@ public class PistonHeadBlockModel extends StandardBlockModel<PistonHeadBlock> {
     public IconCoordinate faceTextureOverride;
 
     protected final double headThickness;
-    public PistonHeadBlockModel(Block block, IconCoordinate pistonSide) {
+    public BlockModelPistonHead(Block block, IconCoordinate pistonSide) {
         this(block, pistonSide, 4/16d);
     }
 
-    public PistonHeadBlockModel(Block block, IconCoordinate pistonSide, double headThickness) {
+    public BlockModelPistonHead(Block block, IconCoordinate pistonSide, double headThickness) {
         super(block);
         this.pistonSide = pistonSide;
         this.headThickness = headThickness;
@@ -35,7 +35,7 @@ public class PistonHeadBlockModel extends StandardBlockModel<PistonHeadBlock> {
         block.setBlockBoundsBasedOnState(renderBlocks.blockAccess, x, y, z);
         return renderPistonHead(tessellator, block, x, y, z, true);
     }
-    public void renderPistonHeadNoCulling(Tessellator tessellator, PistonHeadBlock block, int x, int y, int z, boolean flag) {
+    public void renderPistonHeadNoCulling(Tessellator tessellator, BlockPistonHead block, int x, int y, int z, boolean flag) {
         renderBlocks.renderAllFaces = true;
         renderPistonHead(tessellator, block, x, y, z, flag);
         renderBlocks.renderAllFaces = false;
@@ -43,9 +43,9 @@ public class PistonHeadBlockModel extends StandardBlockModel<PistonHeadBlock> {
     public void setFaceTextureOverride(@Nullable IconCoordinate faceTexture){
         faceTextureOverride = faceTexture;
     }
-    protected boolean renderPistonHead(Tessellator tessellator, PistonHeadBlock block, int x, int y, int z, boolean flag) {
+    protected boolean renderPistonHead(Tessellator tessellator, BlockPistonHead block, int x, int y, int z, boolean flag) {
         int metadata = renderBlocks.blockAccess.getBlockMetadata(x, y, z);
-        Direction direction = PistonHeadBlock.getDirectionFromMeta(metadata);
+        Direction direction = BlockPistonHead.getDirectionFromMeta(metadata);
         float brightness = 1.0f;
         if(LightmapHelper.isLightmapEnabled()) {
         	tessellator.setLightmapCoord(block.getLightmapCoord(renderBlocks.blockAccess, x, y, z));
@@ -192,19 +192,19 @@ public class PistonHeadBlockModel extends StandardBlockModel<PistonHeadBlock> {
     @Override
     public IconCoordinate getBlockTextureFromSideAndMetadata(Side side, int data)
     {
-        Direction direction = PistonHeadBlock.getDirectionFromMeta(data);
+        Direction direction = BlockPistonHead.getDirectionFromMeta(data);
         if(side.getDirection() == direction)
         {
             if(faceTextureOverride != null)
             {
                 return faceTextureOverride;
             }
-            switch (PistonHeadBlock.getPistonType(data)) {
-                case PistonHeadBlock.TYPE_NORMAL:
+            switch (BlockPistonHead.getPistonType(data)) {
+                case BlockPistonHead.TYPE_NORMAL:
                     return pistonDry;
-                case PistonHeadBlock.TYPE_STICKY:
+                case BlockPistonHead.TYPE_STICKY:
                     return pistonSticky;
-                case PistonHeadBlock.TYPE_STEEL:
+                case BlockPistonHead.TYPE_STEEL:
                     return pistonSteel;
             }
         }
diff --git a/src/main/java/net/minecraft/client/render/block/model/PlanksPaintedBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelPlanksPainted.java
similarity index 85%
rename from src/main/java/net/minecraft/client/render/block/model/PlanksPaintedBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelPlanksPainted.java
index 1a0bb8866..c8669f53f 100644
--- a/src/main/java/net/minecraft/client/render/block/model/PlanksPaintedBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelPlanksPainted.java
@@ -6,7 +6,7 @@ import net.minecraft.core.block.Block;
 import net.minecraft.core.util.helper.DyeColor;
 import net.minecraft.core.util.helper.Side;
 
-public class PlanksPaintedBlockModel<T extends Block> extends StandardBlockModel<T> {
+public class BlockModelPlanksPainted<T extends Block> extends BlockModelStandard<T> {
     public static final IconCoordinate[] texCoords = new IconCoordinate[DyeColor.COLOR_AMOUNT];
 
     static {
@@ -15,7 +15,7 @@ public class PlanksPaintedBlockModel<T extends Block> extends StandardBlockModel
         }
     }
 
-    public PlanksPaintedBlockModel(Block block) {
+    public BlockModelPlanksPainted(Block block) {
         super(block);
     }
 
diff --git a/src/main/java/net/minecraft/client/render/block/model/PortalBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelPortal.java
similarity index 84%
rename from src/main/java/net/minecraft/client/render/block/model/PortalBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelPortal.java
index 6384d6308..958aefa4a 100644
--- a/src/main/java/net/minecraft/client/render/block/model/PortalBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelPortal.java
@@ -3,14 +3,14 @@ package net.minecraft.client.render.block.model;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.PortalBlock;
+import net.minecraft.core.block.BlockPortal;
 import net.minecraft.core.util.helper.DyeColor;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.WorldSource;
 
-public class PortalBlockModel<T extends PortalBlock> extends TransparentBlockModel<T> {
+public class BlockModelPortal<T extends BlockPortal> extends BlockModelTransparent<T> {
     protected IconCoordinate[] colors = new IconCoordinate[16];
-    public PortalBlockModel(Block block, String rootTexKey) {
+    public BlockModelPortal(Block block, String rootTexKey) {
         super(block, false);
         for (DyeColor color : DyeColor.values()) {
             colors[color.blockMeta] = TextureRegistry.getTexture(rootTexKey + color.colorID);
diff --git a/src/main/java/net/minecraft/client/render/block/model/PumiceBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelPumice.java
similarity index 93%
rename from src/main/java/net/minecraft/client/render/block/model/PumiceBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelPumice.java
index 90f16ade1..e81fabc1e 100644
--- a/src/main/java/net/minecraft/client/render/block/model/PumiceBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelPumice.java
@@ -7,12 +7,11 @@ import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.util.helper.Side;
-import net.minecraft.core.world.WorldSource;
 import org.jetbrains.annotations.Nullable;
 
-public class PumiceBlockModel<T extends Block> extends StandardBlockModel<T>{
+public class BlockModelPumice<T extends Block> extends BlockModelStandard<T> {
     private boolean lavaFlag = false;
-    public PumiceBlockModel(Block block) {
+    public BlockModelPumice(Block block) {
         super(block);
     }
 
diff --git a/src/main/java/net/minecraft/client/render/block/model/RedstonePumpkinBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelPumpkinRedstone.java
similarity index 77%
rename from src/main/java/net/minecraft/client/render/block/model/RedstonePumpkinBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelPumpkinRedstone.java
index 343e27387..575e75c8d 100644
--- a/src/main/java/net/minecraft/client/render/block/model/RedstonePumpkinBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelPumpkinRedstone.java
@@ -3,12 +3,12 @@ package net.minecraft.client.render.block.model;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.RedstonePumpkinBlock;
+import net.minecraft.core.block.BlockPumpkinRedstone;
 import net.minecraft.core.util.helper.Side;
 
-public class RedstonePumpkinBlockModel extends HorizontalRotationBlockModel<RedstonePumpkinBlock> {
+public class BlockModelPumpkinRedstone extends BlockModelHorizontalRotation<BlockPumpkinRedstone> {
     protected IconCoordinate overlay = TextureRegistry.getTexture("minecraft:block/pumpkin_redstone/front_overlay");
-    public RedstonePumpkinBlockModel(Block block) {
+    public BlockModelPumpkinRedstone(Block block) {
         super(block);
     }
 
diff --git a/src/main/java/net/minecraft/client/render/block/model/RailBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelRail.java
similarity index 96%
rename from src/main/java/net/minecraft/client/render/block/model/RailBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelRail.java
index 117022fb1..58563d3e0 100644
--- a/src/main/java/net/minecraft/client/render/block/model/RailBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelRail.java
@@ -5,19 +5,19 @@ import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
+import net.minecraft.core.block.BlockRail;
 import net.minecraft.core.block.Blocks;
-import net.minecraft.core.block.RailBlock;
 import net.minecraft.core.enums.LightLayer;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.WorldSource;
 
-public class RailBlockModel<T extends RailBlock> extends StandardBlockModel<T> {
+public class BlockModelRail<T extends BlockRail> extends BlockModelStandard<T> {
     protected IconCoordinate railCurve = TextureRegistry.getTexture("minecraft:block/rail/turn");
     protected IconCoordinate powerActive = TextureRegistry.getTexture("minecraft:block/rail_powered/active");
     protected IconCoordinate powerActiveOverlay = TextureRegistry.getTexture("minecraft:block/rail_powered/active_overlay");
     protected IconCoordinate detectorActiveOverlay = TextureRegistry.getTexture("minecraft:block/rail_detector/active_overlay");
 
-    public RailBlockModel(Block block) {
+    public BlockModelRail(Block block) {
         super(block);
         this.hasOverbright = true;
     }
diff --git a/src/main/java/net/minecraft/client/render/block/model/RepeaterBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelRepeater.java
similarity index 82%
rename from src/main/java/net/minecraft/client/render/block/model/RepeaterBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelRepeater.java
index 4defe0983..0e0edf690 100644
--- a/src/main/java/net/minecraft/client/render/block/model/RepeaterBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelRepeater.java
@@ -4,16 +4,16 @@ import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.Global;
 import net.minecraft.core.block.Block;
+import net.minecraft.core.block.BlockRepeater;
 import net.minecraft.core.block.Blocks;
-import net.minecraft.core.block.RepeaterBlock;
 import net.minecraft.core.world.WorldSource;
 
 @SuppressWarnings("unchecked")
-public class RepeaterBlockModel extends StandardBlockModel<RepeaterBlock> {
-	private static final TorchBlockModel<Block> modelTorchActive = (TorchBlockModel<Block>) BlockModelDispatcher.getInstance().getDispatch(Blocks.TORCH_REDSTONE_ACTIVE);
-    private static final TorchBlockModel<Block> modelTorchIdle = (TorchBlockModel<Block>) BlockModelDispatcher.getInstance().getDispatch(Blocks.TORCH_REDSTONE_IDLE);
+public class BlockModelRepeater extends BlockModelStandard<BlockRepeater> {
+	private static final BlockModelTorch<Block> modelTorchActive = (BlockModelTorch<Block>) BlockModelDispatcher.getInstance().getDispatch(Blocks.TORCH_REDSTONE_ACTIVE);
+    private static final BlockModelTorch<Block> modelTorchIdle = (BlockModelTorch<Block>) BlockModelDispatcher.getInstance().getDispatch(Blocks.TORCH_REDSTONE_IDLE);
 
-    public RepeaterBlockModel(Block block) {
+    public BlockModelRepeater(Block block) {
         super(block);
     }
 
@@ -67,25 +67,25 @@ public class RepeaterBlockModel extends StandardBlockModel<RepeaterBlock> {
         {
             case 0: // '\0'
                 d4 = -0.3125D;
-                d2 = RepeaterBlock.torchPosOffset[j1];
+                d2 = BlockRepeater.torchPosOffset[j1];
                 break;
 
             case 2: // '\002'
                 d4 = 0.3125D;
-                d2 = -RepeaterBlock.torchPosOffset[j1];
+                d2 = -BlockRepeater.torchPosOffset[j1];
                 break;
 
             case 3: // '\003'
                 d3 = -0.3125D;
-                d1 = RepeaterBlock.torchPosOffset[j1];
+                d1 = BlockRepeater.torchPosOffset[j1];
                 break;
 
             case 1: // '\001'
                 d3 = 0.3125D;
-                d1 = -RepeaterBlock.torchPosOffset[j1];
+                d1 = -BlockRepeater.torchPosOffset[j1];
                 break;
         }
-        TorchBlockModel<Block> modelTorch = block.isRepeaterPowered ? modelTorchActive : modelTorchIdle;
+        BlockModelTorch<Block> modelTorch = block.isRepeaterPowered ? modelTorchActive : modelTorchIdle;
         if (renderBlocks.overbright && block.isRepeaterPowered) {
             modelTorch.renderTorchAtAngle(tessellator, (double)x + d1, (double)y + d, (double)z + d2, 0.0D, 0.0D);
             modelTorch.renderTorchAtAngle(tessellator, (double)x + d3, (double)y + d, (double)z + d4, 0.0D, 0.0D);
diff --git a/src/main/java/net/minecraft/client/render/block/model/RopeBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelRope.java
similarity index 94%
rename from src/main/java/net/minecraft/client/render/block/model/RopeBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelRope.java
index 29d119625..cd322e604 100644
--- a/src/main/java/net/minecraft/client/render/block/model/RopeBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelRope.java
@@ -2,15 +2,15 @@ package net.minecraft.client.render.block.model;
 
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.FireflyLanternBlock;
-import net.minecraft.core.block.RopeBlock;
+import net.minecraft.core.block.BlockLanternFirefly;
+import net.minecraft.core.block.BlockRope;
 import net.minecraft.core.block.tag.BlockTags;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.WorldSource;
 
-public class RopeBlockModel<T extends RopeBlock>
-extends StandardBlockModel<T> {
-    public RopeBlockModel(Block block) {
+public class BlockModelRope<T extends BlockRope>
+extends BlockModelStandard<T> {
+    public BlockModelRope(Block block) {
         super(block);
     }
 
@@ -90,7 +90,7 @@ extends StandardBlockModel<T> {
         int blockZ = z + side.getOffsetZ();
         Block _block = worldSource.getBlock(blockX, blockY, blockZ);
         if (side == Side.BOTTOM){
-            if (_block instanceof FireflyLanternBlock && (worldSource.getBlockMetadata(blockX, blockY, blockZ) & 0b1) != 0){
+            if (_block instanceof BlockLanternFirefly && (worldSource.getBlockMetadata(blockX, blockY, blockZ) & 0b1) != 0){
                 return true;
             }
         } else if (side == Side.TOP) {
diff --git a/src/main/java/net/minecraft/client/render/block/model/RotatableBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelRotatable.java
similarity index 79%
rename from src/main/java/net/minecraft/client/render/block/model/RotatableBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelRotatable.java
index ea5bb32c7..67296701c 100644
--- a/src/main/java/net/minecraft/client/render/block/model/RotatableBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelRotatable.java
@@ -5,8 +5,8 @@ import net.minecraft.core.block.Block;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.util.helper.Sides;
 
-public class RotatableBlockModel<T extends Block> extends StandardBlockModel<T> {
-    public RotatableBlockModel(Block block) {
+public class BlockModelRotatable<T extends Block> extends BlockModelStandard<T> {
+    public BlockModelRotatable(Block block) {
         super(block);
     }
 
diff --git a/src/main/java/net/minecraft/client/render/block/model/SeatBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelSeat.java
similarity index 90%
rename from src/main/java/net/minecraft/client/render/block/model/SeatBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelSeat.java
index dc8996313..cee6a8afd 100644
--- a/src/main/java/net/minecraft/client/render/block/model/SeatBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelSeat.java
@@ -4,8 +4,8 @@ import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.util.helper.Side;
 
-public class SeatBlockModel<T extends Block> extends StandardBlockModel<T> {
-    public SeatBlockModel(Block block) {
+public class BlockModelSeat<T extends Block> extends BlockModelStandard<T> {
+    public BlockModelSeat(Block block) {
         super(block);
     }
 
diff --git a/src/main/java/net/minecraft/client/render/block/model/SlabBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelSlab.java
similarity index 80%
rename from src/main/java/net/minecraft/client/render/block/model/SlabBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelSlab.java
index 9612a2eff..dafbaa4ca 100644
--- a/src/main/java/net/minecraft/client/render/block/model/SlabBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelSlab.java
@@ -2,14 +2,14 @@ package net.minecraft.client.render.block.model;
 
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.SlabBlock;
+import net.minecraft.core.block.BlockSlab;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.WorldSource;
 
-public class SlabBlockModel<T extends SlabBlock> extends StandardBlockModel<T> {
-    public SlabBlockModel(Block block){
+public class BlockModelSlab<T extends BlockSlab> extends BlockModelStandard<T> {
+    public BlockModelSlab(Block block){
         super(block);
-        this.atlasIndices = ((StandardBlockModel<?>)BlockModelDispatcher.getInstance().getDispatch(this.block.modelBlock)).atlasIndices;
+        this.atlasIndices = ((BlockModelStandard<?>)BlockModelDispatcher.getInstance().getDispatch(this.block.modelBlock)).atlasIndices;
         withCustomItemBounds(0, 0, 0, 1, 0.5d, 1);
     }
     @Override
diff --git a/src/main/java/net/minecraft/client/render/block/model/SlabMarbleBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelSlabMarble.java
similarity index 84%
rename from src/main/java/net/minecraft/client/render/block/model/SlabMarbleBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelSlabMarble.java
index 492fb67a1..5246af227 100644
--- a/src/main/java/net/minecraft/client/render/block/model/SlabMarbleBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelSlabMarble.java
@@ -3,14 +3,14 @@ package net.minecraft.client.render.block.model;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.SlabBlock;
+import net.minecraft.core.block.BlockSlab;
 import net.minecraft.core.util.helper.Axis;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.WorldSource;
 
-public class SlabMarbleBlockModel<T extends SlabBlock> extends SlabBlockModel<T> {
+public class BlockModelSlabMarble<T extends BlockSlab> extends BlockModelSlab<T> {
     protected IconCoordinate slabSide = TextureRegistry.getTexture("minecraft:block/carved_marble");
-    public SlabMarbleBlockModel(Block block) {
+    public BlockModelSlabMarble(Block block) {
         super(block);
     }
 
diff --git a/src/main/java/net/minecraft/client/render/block/model/SlabPaintedBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelSlabPainted.java
similarity index 72%
rename from src/main/java/net/minecraft/client/render/block/model/SlabPaintedBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelSlabPainted.java
index 20d885587..bd3130f6a 100644
--- a/src/main/java/net/minecraft/client/render/block/model/SlabPaintedBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelSlabPainted.java
@@ -2,19 +2,19 @@ package net.minecraft.client.render.block.model;
 
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.SlabBlock;
+import net.minecraft.core.block.BlockSlab;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.WorldSource;
 
-public class SlabPaintedBlockModel<T extends SlabBlock> extends SlabBlockModel<T> {
-    public SlabPaintedBlockModel(Block block) {
+public class BlockModelSlabPainted<T extends BlockSlab> extends BlockModelSlab<T> {
+    public BlockModelSlabPainted(Block block) {
         super(block);
     }
 
     @Override
     public IconCoordinate getBlockTextureFromSideAndMetadata(Side side, int meta) {
         meta = meta >> 4;
-        return PlanksPaintedBlockModel.texCoords[meta & 0x0F];
+        return BlockModelPlanksPainted.texCoords[meta & 0x0F];
     }
 
     @Override
